%global momorel 1

Summary: SELinux Translation library
Name: libsetrans
Version: 0.1.20
Release: %{momorel}m
License: LGPL
Group: System Environment/Libraries
Source: %{name}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libselinux-devel >= 1.29.2

%description
Security-enhanced Linux is a feature of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.

libsetrans provides an translation library to translate SELinux categories 
from internal representations to user defined representation.

%prep
%setup -q

%build
make clean
make CFLAGS="-g %{optflags}"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_lib} 
mkdir -p %{buildroot}/%{_libdir} 
make DESTDIR="%{buildroot}" LIBDIR="%{buildroot}%{_libdir}" SHLIBDIR="%{buildroot}/%{_lib}" install
rm -f %{buildroot}%{_sbindir}/*
rm -f %{buildroot}%{_libdir}/*.a

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
/%{_lib}/libsetrans.so.0
/%{_libdir}/libsetrans.so
%{_mandir}/man8/mcs.8.*

%changelog
* Sun May  7 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.1.20-1m)
- version up

* Wed Dec 28 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.1.11-1m)
- import from fc-devel

* Mon Dec 12 2005 Jeremy Katz <katzj@redhat.com> - 0.1.11-3
- there should really be a 'make dist' target that ensures that things are 
  cleaned before a dist tarball is created.  add a 'make clean' to the build
  just to make sure we don't get hit by this in the future

* Fri Dec 9 2005 Dan Walsh <dwalsh@redhat.com> 0.1.11-1
- Rebuild for libc.so.6 problems

* Wed Dec 7 2005 Dan Walsh <dwalsh@redhat.com> 0.1.11-1
- Move chcat to policycoreutils

* Wed Dec 7 2005 Dan Walsh <dwalsh@redhat.com> 0.1.10-1
- Fix handling of "" translation

* Fri Dec 2 2005 Dan Walsh <dwalsh@redhat.com> 0.1.9-1
- Handle multiple translations

* Tue Oct 25 2005 Dan Walsh <dwalsh@redhat.com> 0.1.8-1
- Add MLS Policy handling

* Fri Oct 14 2005 Dan Walsh <dwalsh@redhat.com> 0.1.7-2
- Change SystemHigh to match the higher level of Categories.

* Tue Sep 20 2005 Dan Walsh <dwalsh@redhat.com> 0.1.7-1
- Add chcat

* Tue Sep 20 2005 Dan Walsh <dwalsh@redhat.com> 0.1.6-2
- Fix tarball

* Mon Sep 19 2005 Dan Walsh <dwalsh@redhat.com> 0.1.6-1
- Fix memory problem

* Tue Sep 14 2005 Dan Walsh <dwalsh@redhat.com> 0.1.5-1
- Disable if not mls enabled

* Tue Sep 13 2005 Dan Walsh <dwalsh@redhat.com> 0.1.4-3
- Back to original mechanism

* Mon Sep 12 2005 Dan Walsh <dwalsh@redhat.com> 0.1.4-3
- mv libraries to /lib/selinux/TYPE/libsetrans.so.0

* Thu Sep 8 2005 Dan Walsh <dwalsh@redhat.com> 0.1.4-1
- Change secat.conf to mcs.conf
- Add initial man page

* Wed Sep 7 2005 Dan Walsh <dwalsh@redhat.com> 0.1.3-1
- Fix memory problems
- Eliminate s0 hacking
- Fix disable flag

* Fri Aug 5 2005 Dan Walsh <dwalsh@redhat.com> 0.1.0-1
- Initial Version
